variables:
  BROWSER: "chrome"
  SELENIUM_HOST: "http://selenium__standalone-$BROWSER-debug:4444/wd/hub"
  SELENIUM_CONTAINER: "selenium/standalone-$BROWSER-debug"
  REPORT_PATH: "./Reports"
  UPLOAD_PATH: "./"

test:
  stage: test
  image: python:latest
  services:
    - name: $SELENIUM_CONTAINER
  script:
    # Install Robot Framework & Libraries
    - python -m pip install --upgrade pip
    - pip install -r requirements.txt

    - >
      robot
      --variable LOGIN_NAME:$LOGIN_NAME
      --variable PASSWD:$PASSWD
      --variable HOST:$SELENIUM_HOST
      --variable BROWSER:$BROWSER
      --variable UPLOAD_PATH:$UPLOAD_PATH
      --outputdir $REPORT_PATH .

  artifacts:
    paths:
      - Reports
    expire_in: 1 week
    when: always
  only:
    - master
